Solved

RPMs for 12c

Posted on 2015-01-20
8
404 Views
Last Modified: 2015-01-31
Trying to install 12c on Oracle linux 6.  There are 2RPMs i cannot get to run.
[root@localhost CVU_12.1.0.2.0_zozimos]# yum install gcc-4.4.4 --skip-broken
Loaded plugins: refresh-packagekit, security
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package gcc.x86_64 0:4.4.4-13.el6 will be installed
--> Processing Dependency: libgomp = 4.4.4-13.el6 for package: gcc-4.4.4-13.el6.x86_64
--> Processing Dependency: cpp = 4.4.4-13.el6 for package: gcc-4.4.4-13.el6.x86_64
--> Processing Dependency: cloog-ppl >= 0.15 for package: gcc-4.4.4-13.el6.x86_64
--> Running transaction check
---> Package cloog-ppl.x86_64 0:0.15.7-1.2.el6 will be installed
--> Processing Dependency: libppl_c.so.2()(64bit) for package: cloog-ppl-0.15.7-1.2.el6.x86_64
--> Processing Dependency: libppl.so.7()(64bit) for package: cloog-ppl-0.15.7-1.2.el6.x86_64
---> Package cpp.x86_64 0:4.4.4-13.el6 will be installed
--> Processing Dependency: libmpfr.so.1()(64bit) for package: cpp-4.4.4-13.el6.x86_64
---> Package libgomp.i686 0:4.4.4-13.el6 will be installed
--> Processing Dependency: libc.so.6(GLIBC_2.3) for package: libgomp-4.4.4-13.el6.i686
--> Processing Dependency: libpthread.so.0(GLIBC_2.3.4) for package: libgomp-4.4.4-13.el6.i686
--> Processing Dependency: libc.so.6(GLIBC_2.4) for package: libgomp-4.4.4-13.el6.i686
--> Processing Dependency: libpthread.so.0 for package: libgomp-4.4.4-13.el6.i686
--> Processing Dependency: librt.so.1 for package: libgomp-4.4.4-13.el6.i686
--> Processing Dependency: libc.so.6(GLIBC_2.2) for package: libgomp-4.4.4-13.el6.i686
--> Processing Dependency: libc.so.6(GLIBC_2.0) for package: libgomp-4.4.4-13.el6.i686
--> Processing Dependency: libc.so.6(GLIBC_2.1.3) for package: libgomp-4.4.4-13.el6.i686
--> Processing Dependency: libpthread.so.0(GLIBC_2.1) for package: libgomp-4.4.4-13.el6.i686
--> Processing Dependency: libc.so.6(GLIBC_2.6) for package: libgomp-4.4.4-13.el6.i686
--> Processing Dependency: librt.so.1(GLIBC_2.2) for package: libgomp-4.4.4-13.el6.i686
--> Processing Dependency: libc.so.6 for package: libgomp-4.4.4-13.el6.i686
--> Processing Dependency: libpthread.so.0(GLIBC_2.0) for package: libgomp-4.4.4-13.el6.i686
--> Running transaction check
---> Package glibc.i686 0:2.12-1.149.el6_6.4 will be installed
--> Processing Dependency: libfreebl3.so for package: glibc-2.12-1.149.el6_6.4.i686
--> Processing Dependency: libfreebl3.so(NSSRAWHASH_3.12.3) for package: glibc-2.12-1.149.el6_6.4.i686
---> Package mpfr.x86_64 0:2.4.1-6.el6 will be installed
---> Package ppl.x86_64 0:0.10.2-11.el6 will be installed
--> Running transaction check
---> Package nss-softokn-freebl.x86_64 0:3.12.9-11.el6 will be updated
---> Package nss-softokn-freebl.i686 0:3.14.3-19.el6_6 will be installed
---> Package nss-softokn-freebl.x86_64 0:3.14.3-19.el6_6 will be an update
--> Finished Dependency Resolution
Error: Protected multilib versions: libgomp-4.4.4-13.el6.i686 != libgomp-4.4.6-4.el6.x86_64
 You could try running: rpm -Va --nofiles --nodigest
[root@localhost CVU_12.1.0.2.0_zozimos]#
0
Comment
Question by:xoxomos
[X]
Welcome to Experts Exchange

Add your voice to the tech community where 5M+ people just like you are talking about what matters.

  • Help others & share knowledge
  • Earn cash & points
  • Learn & ask questions
  • 5
  • 2
8 Comments
 
LVL 77

Expert Comment

by:slightwv (䄆 Netminder)
ID: 40561000
Far from a Linux Expert but:
libgomp-4.4.4-13.el6.i686 != libgomp-4.4.6-4.el6.x86_64

Tells me that one of them is 32Bit and one is 64Bit.

Get the correct Bit version for you OS's Bit version.
0
 
LVL 38

Expert Comment

by:Gerwin Jansen, EE MVE
ID: 40561558
Why the "--skip-broken"?
0
 

Author Comment

by:xoxomos
ID: 40562432
I've never had it work for me, but at the end of my attempt, a line suggested i could try the --skip-broken.
0
Technology Partners: We Want Your Opinion!

We value your feedback.

Take our survey and automatically be enter to win anyone of the following:
Yeti Cooler, Amazon eGift Card, and Movie eGift Card!

 

Author Comment

by:xoxomos
ID: 40562487
Docs say with Oracle unbreakable 6 and the oracle pre-install rpm everything should install, but when i try to get that pre-install rpm:
oot@localhost ~]# yum install oracle-rdbms-server-12cR1-preinstall
Loaded plugins: refresh-packagekit, security
http://public-yum.oracle.com/repo/OracleLinux/OL6/UEK/latest/x86_64/repodata/repomd.xml: [Errno 14] PYCURL ERROR 6 - "Couldn't resolve host 'public-yum.oracle.com'"
Trying other mirror.
http://public-yum.oracle.com/repo/OracleLinux/OL6/latest/x86_64/repodata/repomd.xml: [Errno 14] PYCURL ERROR 6 - "Couldn't resolve host 'public-yum.oracle.com'"
Trying other mirror.
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package oracle-rdbms-server-12cR1-preinstall.x86_64 0:1.0-12.el6 will be installed
--> Processing Dependency: gcc for package: oracle-rdbms-server-12cR1-preinstall-1.0-12.el6.x86_64
--> Processing Dependency: gcc-c++ for package: oracle-rdbms-server-12cR1-preinstall-1.0-12.el6.x86_64
--> Running transaction check
---> Package gcc.x86_64 0:4.4.7-11.el6 will be installed
--> Processing Dependency: libgomp = 4.4.7-11.el6 for package: gcc-4.4.7-11.el6.x86_64
--> Processing Dependency: cpp = 4.4.7-11.el6 for package: gcc-4.4.7-11.el6.x86_64
--> Processing Dependency: cloog-ppl >= 0.15 for package: gcc-4.4.7-11.el6.x86_64
--> Processing Dependency: libgcc >= 4.4.7-11.el6 for package: gcc-4.4.7-11.el6.x86_64
---> Package gcc-c++.x86_64 0:4.4.7-11.el6 will be installed
--> Processing Dependency: libmpfr.so.1()(64bit) for package: gcc-c++-4.4.7-11.el6.x86_64
--> Running transaction check
---> Package cloog-ppl.x86_64 0:0.15.7-1.2.el6 will be installed
--> Processing Dependency: libppl_c.so.2()(64bit) for package: cloog-ppl-0.15.7-1.2.el6.x86_64
--> Processing Dependency: libppl.so.7()(64bit) for package: cloog-ppl-0.15.7-1.2.el6.x86_64
---> Package cpp.x86_64 0:4.4.7-11.el6 will be installed
---> Package libgcc.x86_64 0:4.4.6-4.el6 will be updated
---> Package libgcc.x86_64 0:4.4.7-11.el6 will be an update
---> Package libgomp.x86_64 0:4.4.6-4.el6 will be updated
---> Package libgomp.x86_64 0:4.4.7-11.el6 will be an update
---> Package mpfr.x86_64 0:2.4.1-6.el6 will be installed
--> Running transaction check
---> Package ppl.x86_64 0:0.10.2-11.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

======================================================================================================
 Package                                    Arch         Version               Repository        Size
======================================================================================================
Installing:
 oracle-rdbms-server-12cR1-preinstall       x86_64       1.0-12.el6            ol6_latest        16 k
Installing for dependencies:
 cloog-ppl                                  x86_64       0.15.7-1.2.el6        ol6_latest        93 k
 cpp                                        x86_64       4.4.7-11.el6          ol6_latest       3.7 M
 gcc                                        x86_64       4.4.7-11.el6          ol6_latest        10 M
 gcc-c++                                    x86_64       4.4.7-11.el6          ol6_latest       4.7 M
 mpfr                                       x86_64       2.4.1-6.el6           ol6_latest       156 k
 ppl                                        x86_64       0.10.2-11.el6         ol6_latest       1.3 M
Updating for dependencies:
 libgcc                                     x86_64       4.4.7-11.el6          ol6_latest       101 k
 libgomp                                    x86_64       4.4.7-11.el6          ol6_latest       132 k

Transaction Summary
======================================================================================================
Install       7 Package(s)
Upgrade       2 Package(s)

Total download size: 20 M
Is this ok [y/N]: ^CExiting on user Command
[root@localhost ~]#
[root@localhost ~]# yum install oracle-rdbms-server-12cR1-preinstall
Loaded plugins: refresh-packagekit, security
http://public-yum.oracle.com/repo/OracleLinux/OL6/UEK/latest/x86_64/repodata/repomd.xml: [Errno 14] PYCURL ERROR 6 - "Couldn't resolve host 'public-yum.oracle.com'"
Trying other mirror.
http://public-yum.oracle.com/repo/OracleLinux/OL6/latest/x86_64/repodata/repomd.xml: [Errno 14] PYCURL ERROR 6 - "Couldn't resolve host 'public-yum.oracle.com'"
Trying other mirror.
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package oracle-rdbms-server-12cR1-preinstall.x86_64 0:1.0-12.el6 will be installed
--> Processing Dependency: gcc for package: oracle-rdbms-server-12cR1-preinstall-1.0-12.el6.x86_64
--> Processing Dependency: gcc-c++ for package: oracle-rdbms-server-12cR1-preinstall-1.0-12.el6.x86_64
--> Running transaction check
---> Package gcc.x86_64 0:4.4.7-11.el6 will be installed
--> Processing Dependency: libgomp = 4.4.7-11.el6 for package: gcc-4.4.7-11.el6.x86_64
--> Processing Dependency: cpp = 4.4.7-11.el6 for package: gcc-4.4.7-11.el6.x86_64
--> Processing Dependency: cloog-ppl >= 0.15 for package: gcc-4.4.7-11.el6.x86_64
--> Processing Dependency: libgcc >= 4.4.7-11.el6 for package: gcc-4.4.7-11.el6.x86_64
---> Package gcc-c++.x86_64 0:4.4.7-11.el6 will be installed
--> Processing Dependency: libmpfr.so.1()(64bit) for package: gcc-c++-4.4.7-11.el6.x86_64
--> Running transaction check
---> Package cloog-ppl.x86_64 0:0.15.7-1.2.el6 will be installed
--> Processing Dependency: libppl_c.so.2()(64bit) for package: cloog-ppl-0.15.7-1.2.el6.x86_64
--> Processing Dependency: libppl.so.7()(64bit) for package: cloog-ppl-0.15.7-1.2.el6.x86_64
---> Package cpp.x86_64 0:4.4.7-11.el6 will be installed
---> Package libgcc.x86_64 0:4.4.6-4.el6 will be updated
---> Package libgcc.x86_64 0:4.4.7-11.el6 will be an update
---> Package libgomp.x86_64 0:4.4.6-4.el6 will be updated
---> Package libgomp.x86_64 0:4.4.7-11.el6 will be an update
---> Package mpfr.x86_64 0:2.4.1-6.el6 will be installed
--> Running transaction check
---> Package ppl.x86_64 0:0.10.2-11.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

======================================================================================================
 Package                                    Arch         Version               Repository        Size
======================================================================================================
Installing:
 oracle-rdbms-server-12cR1-preinstall       x86_64       1.0-12.el6            ol6_latest        16 k
Installing for dependencies:
 cloog-ppl                                  x86_64       0.15.7-1.2.el6        ol6_latest        93 k
 cpp                                        x86_64       4.4.7-11.el6          ol6_latest       3.7 M
 gcc                                        x86_64       4.4.7-11.el6          ol6_latest        10 M
 gcc-c++                                    x86_64       4.4.7-11.el6          ol6_latest       4.7 M
 mpfr                                       x86_64       2.4.1-6.el6           ol6_latest       156 k
 ppl                                        x86_64       0.10.2-11.el6         ol6_latest       1.3 M
Updating for dependencies:
 libgcc                                     x86_64       4.4.7-11.el6          ol6_latest       101 k
 libgomp                                    x86_64       4.4.7-11.el6          ol6_latest       132 k

Transaction Summary
======================================================================================================
Install       7 Package(s)
Upgrade       2 Package(s)

Total download size: 20 M
Is this ok [y/N]: y
Downloading Packages:
http://public-yum.oracle.com/repo/OracleLinux/OL6/latest/x86_64/getPackage/cloog-ppl-0.15.7-1.2.el6.x86_64.rpm: [Errno 14] PYCURL ERROR 6 - "Couldn't resolve host 'public-yum.oracle.com'"
Trying other mirror.
http://public-yum.oracle.com/repo/OracleLinux/OL6/latest/x86_64/getPackage/cpp-4.4.7-11.el6.x86_64.rpm: [Errno 14] PYCURL ERROR 6 - "Couldn't resolve host 'public-yum.oracle.com'"
Trying other mirror.
http://public-yum.oracle.com/repo/OracleLinux/OL6/latest/x86_64/getPackage/gcc-4.4.7-11.el6.x86_64.rpm: [Errno 14] PYCURL ERROR 6 - "Couldn't resolve host 'public-yum.oracle.com'"
Trying other mirror.
http://public-yum.oracle.com/repo/OracleLinux/OL6/latest/x86_64/getPackage/gcc-c%2B%2B-4.4.7-11.el6.x86_64.rpm: [Errno 14] PYCURL ERROR 6 - "Couldn't resolve host 'public-yum.oracle.com'"
Trying other mirror.
http://public-yum.oracle.com/repo/OracleLinux/OL6/latest/x86_64/getPackage/libgcc-4.4.7-11.el6.x86_64.rpm: [Errno 14] PYCURL ERROR 6 - "Couldn't resolve host 'public-yum.oracle.com'"
Trying other mirror.
http://public-yum.oracle.com/repo/OracleLinux/OL6/latest/x86_64/getPackage/libgomp-4.4.7-11.el6.x86_64.rpm: [Errno 14] PYCURL ERROR 6 - "Couldn't resolve host 'public-yum.oracle.com'"
Trying other mirror.
http://public-yum.oracle.com/repo/OracleLinux/OL6/latest/x86_64/getPackage/mpfr-2.4.1-6.el6.x86_64.rpm: [Errno 14] PYCURL ERROR 6 - "Couldn't resolve host 'public-yum.oracle.com'"
Trying other mirror.
http://public-yum.oracle.com/repo/OracleLinux/OL6/latest/x86_64/getPackage/oracle-rdbms-server-12cR1-preinstall-1.0-12.el6.x86_64.rpm: [Errno 14] PYCURL ERROR 6 - "Couldn't resolve host 'public-yum.oracle.com'"
Trying other mirror.
http://public-yum.oracle.com/repo/OracleLinux/OL6/latest/x86_64/getPackage/ppl-0.10.2-11.el6.x86_64.rpm: [Errno 14] PYCURL ERROR 6 - "Couldn't resolve host 'public-yum.oracle.com'"
Trying other mirror.


Error Downloading Packages:
  mpfr-2.4.1-6.el6.x86_64: failure: getPackage/mpfr-2.4.1-6.el6.x86_64.rpm from ol6_latest: [Errno 256] No more mirrors to try.
  gcc-4.4.7-11.el6.x86_64: failure: getPackage/gcc-4.4.7-11.el6.x86_64.rpm from ol6_latest: [Errno 256] No more mirrors to try.
  gcc-c++-4.4.7-11.el6.x86_64: failure: getPackage/gcc-c++-4.4.7-11.el6.x86_64.rpm from ol6_latest: [Errno 256] No more mirrors to try.
  cloog-ppl-0.15.7-1.2.el6.x86_64: failure: getPackage/cloog-ppl-0.15.7-1.2.el6.x86_64.rpm from ol6_latest: [Errno 256] No more mirrors to try.
  ppl-0.10.2-11.el6.x86_64: failure: getPackage/ppl-0.10.2-11.el6.x86_64.rpm from ol6_latest: [Errno 256] No more mirrors to try.
  oracle-rdbms-server-12cR1-preinstall-1.0-12.el6.x86_64: failure: getPackage/oracle-rdbms-server-12cR1-preinstall-1.0-12.el6.x86_64.rpm from ol6_latest: [Errno 256] No more mirrors to try.
  cpp-4.4.7-11.el6.x86_64: failure: getPackage/cpp-4.4.7-11.el6.x86_64.rpm from ol6_latest: [Errno 256] No more mirrors to try.
  libgomp-4.4.7-11.el6.x86_64: failure: getPackage/libgomp-4.4.7-11.el6.x86_64.rpm from ol6_latest: [Errno 256] No more mirrors to try.
  libgcc-4.4.7-11.el6.x86_64: failure: getPackage/libgcc-4.4.7-11.el6.x86_64.rpm from ol6_latest: [Errno 256] No more mirrors to try.

[root@localhost ~]#
0
 

Accepted Solution

by:
xoxomos earned 0 total points
ID: 40562782
One of the 'originals' had a blog to make it idiot proof. :-)
http://www.otnblogs.com/installing-oracle-database-12c-linux-6/#comment-21540
0
 

Author Comment

by:xoxomos
ID: 40562784
I believe Oracle is not putting out a 32bit 12c.  No?
0
 
LVL 77

Expert Comment

by:slightwv (䄆 Netminder)
ID: 40562800
>>I believe Oracle is not putting out a 32bit 12c

Maybe not.  I just see i686 in the Linux world and I think 32Bit but I'm not a Linux Expert.
0
 

Author Closing Comment

by:xoxomos
ID: 40581255
The solution came from the blog i mentioned.
0

Featured Post

Technology Partners: We Want Your Opinion!

We value your feedback.

Take our survey and automatically be enter to win anyone of the following:
Yeti Cooler, Amazon eGift Card, and Movie eGift Card!

Question has a verified solution.

If you are experiencing a similar issue, please ask a related question

Suggested Solutions

Working with Network Access Control Lists in Oracle 11g (part 1) Part 2: http://www.e-e.com/A_9074.html So, you upgraded to a shiny new 11g database and all of a sudden every program that used UTL_MAIL, UTL_SMTP, UTL_TCP, UTL_HTTP or any oth…
This post first appeared at Oracleinaction  (http://oracleinaction.com/undo-and-redo-in-oracle/)by Anju Garg (Myself). I  will demonstrate that undo for DML’s is stored both in undo tablespace and online redo logs. Then, we will analyze the reaso…
This video shows syntax for various backup options while discussing how the different basic backup types work.  It explains how to take full backups, incremental level 0 backups, incremental level 1 backups in both differential and cumulative mode a…
This video shows how to configure and send email from and Oracle database using both UTL_SMTP and UTL_MAIL, as well as comparing UTL_SMTP to a manual SMTP conversation with a mail server.

735 members asked questions and received personalized solutions in the past 7 days.

Join the community of 500,000 technology professionals and ask your questions.

Join & Ask a Question